Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		chmlib
Summary:	Library for dealing with ITSS/CHM format files
Version:	0.39
Release:	1
License:	LGPLv2+
Group:		Development/Libraries
Url:		http://www.jedrea.com/chmlib/
Source:		http://www.jedrea.com/chmlib/%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
CHMLIB is a library for dealing with ITSS/CHM format files. Right now, it is
a very simple library, but sufficient for dealing with all of the .chm files
I've come across. Due to the fairly well-designed indexing built into this
particular file format, even a small library is able to gain reasonably good
performance indexing into ITSS archives.

%package devel
Summary:	Library for dealing with ITSS/CHM format files - development files
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Files needed for developing apps using chmlib.

%prep
%setup -q

%build
%configure --enable-examples --disable-static
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/chm_http
%{_bindir}/enum_chmLib
%{_bindir}/enumdir_chmLib
%{_bindir}/extract_chmLib
%{_bindir}/test_chmLib
%{_libdir}/libchm.so.*
%doc README AUTHORS COPYING NEWS

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/libchm.so
%{_libdir}/*.la


%changelog
* Mon Apr 07 2008 Christian Metzen <metzench@ccux-linux.de> 0.39-1
- Initial release
